<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" title="Flagged alignments wizard">
<base:head 
	scripts="~../reggie-2.js,~search.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css"
	>
<style>
#itemTable
{
	width: 100%; 
	border-collapse: collapse;
}

#itemTable thead
{
	border-bottom-width: 1px;
	border-top-width: 1px;
}

#itemTable thead th
{
	padding: 2px;
	text-align: left;
}

tbody.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

tr.dotted-above
{
	border-top-width: 1px;
	border-top-style: dotted;
}


#itemTable .highlight.evenrow
{
	border-top-color: transparent;
}

#itemTable tbody td
{
	padding: 2px;
	text-align: left;
}

.colormatched 
{
	background-color: #ffff00;
	outline: 1px solid #a8a800;
	margin: -1px;
	padding: 1px;
}

.colormatched-2
{
	background-color: #a8ffff;
	outline: 1px solid #66a8a8;
	margin: -1px;
	padding: 1px;
}

.text-col
{}

.text-col img
{
	float: right;
	margin-left: 2px;
}

.text-col img.case-summary
{
	float: left;
	margin-right: 2px;
	margin-left: 0;
}


.bg-messages
{
	background-color: #f0f0f0;
}

.highlight:hover .bg-messages
{
	background-color: #e0e0e0;
	/* transistions copied from BASE to make it match */
	transition: all 0.3s ease 0.1s;
	-moz-transition: all 0.3s ease 0.1s;
	-webkit-transition: all 0.3s ease 0.1s;
}

.ignored-mismatch
{
	text-decoration-line: line-through;
}

.commonpart
{
	color: #666666;
	font-style: italic;
}

.diffpart
{
	font-weight: bold;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Flagged alignment wizard" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title" id="step-1-title">Flagged alignments</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Filter</td>
				<td>
					<label><input type="radio" name="filter" id="noFilter" checked>No filter</label>
					<label><input type="radio" name="filter" id="highHetFilter">High HET</label>
					<select name="qiaCubeFilter" id="qiaCubeFilter">
						<option value="">- QiaCube -</option>
					</select>
					
					<select name="libPlateFilter" id="libPlateFilter">
						<option value="">- LibPlate -</option>
					</select>
					
					<select name="recentFilters" id="recentFilters" style="display: none;">
						<option value="">- Recently used filters -</option>
					</select>
				</td>
			</tr>
			</table>

			<table id="itemTable">
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>